Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.syntax
[Java] Class SyntaxException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.groovy.GroovyException
                  org.codehaus.groovy.syntax.SyntaxException

    public class SyntaxException
    extends GroovyException

Base exception indicating a syntax error.

Authors:
  bob mcwhirter

Version:
  \$Id: SyntaxException.java 14281 2008-12-05 12:23:54Z glaforge \$

Constructor Summary
`SyntaxException(String message, int line, int column)`
`SyntaxException(String message, Throwable cause, int line, int column)`

Method Summary
`int` | `getEndColumn()` @return the end column on which the error occurs
`int` | `getLine()` Retrieve the line upon which the error occurred.
`String` | `getMessage()`
`String` | `getOriginalMessage()`
`String` | `getSourceLocator()`
`int` | `getStartColumn()` Retrieve the column upon which the error occurred.
`int` | `getStartLine()` @return the end of the line on which the error occurs
`void` | `setSourceLocator(String sourceLocator)`

Methods inherited from class GroovyException
isFatal, setFatal

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### SyntaxException

    public SyntaxException(String message, int line, int column)

### SyntaxException

    public SyntaxException(String message, Throwable cause, int line, int column)

Method Detail

### getEndColumn

    public int getEndColumn()

  Returns:
    the end column on which the error occurs

### getLine

    public int getLine()

  Retrieve the line upon which the error occurred.
  Returns:
    The line.

### getMessage

    public String getMessage()

### getOriginalMessage

    public String getOriginalMessage()

### getSourceLocator

    public String getSourceLocator()

### getStartColumn

    public int getStartColumn()

  Retrieve the column upon which the error occurred.
  Returns:
    The column.

### getStartLine

    public int getStartLine()

  Returns:
    the end of the line on which the error occurs

### setSourceLocator

    public void setSourceLocator(String sourceLocator)

Copyright © 2003-2010 The Codehaus. All rights reserved.